## python-keystoneauth1 3.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# All additions to this file must have significant justification.

# NOTE(morgan) At no time may any olso library be added to the keystoneauth
# requirements. The requirements for keystoneauth are very tightly controlled
# to ensure we are not pulling in a ton of transient dependencies. This is
# important from the standpoint of ensuring keystoneauth can be used outside
# of openstack-specific projects (allowing interaction with openstack APIs)
# where oslo and associated transient dependencies are not desired.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
iso8601>=0.1.11 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generationg sphinx documentation
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD

# For autodoc builds
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
mock>=2.0.0 # BSD
betamax>=0.7.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests-mock>=1.1.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
oauthlib>=0.6.0 # BSD

=== debian/changelog ===
python-keystoneauth1 (3.4.0-0ubuntu1) bionic; urgency=medium

  * d/*: wrap-and-sort -bast.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 12:38:10 -0500

python-keystoneauth1 (3.3.0-0ubuntu1) bionic; urgency=medium

  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Align python-sphinx with upstream.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/rules: Run tests with stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 10:55:39 -0500

python-keystoneauth1 (3.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 14:02:22 -0500

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 51~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-betamax (>= 0.7.0),
 python-coverage (>= 4.0),
 python-crypto,
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-lxml,
 python-mock (>= 2.0.0),
 python-oauthlib (>= 0.6),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pep8,
 python-requests (>= 2.14.2),
 python-requests-kerberos (>= 0.6),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-stestr (>= 1.1.0),
 python-stevedore (>= 1:1.20.0),
 python-testresources (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python-yaml (>= 3.10),
 python3-betamax (>= 0.7.0),
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-lxml,
 python3-mock (>= 2.0.0),
 python3-oauthlib (>= 0.6),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8,
 python3-requests (>= 2.14.2),
 python3-requests-kerberos (>= 0.6),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-keystoneauth1
Architecture: all
Depends:
 python-iso8601 (>= 0.1.11),
 python-lxml,
 python-oauthlib (>= 0.6),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-keystoneauth1-doc,
 python-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 2.7
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 2.7 module.

Package: python-keystoneauth1-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601 (>= 0.1.11),
 python3-lxml,
 python3-oauthlib (>= 0.6),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) stestr --test-path ./keystoneauth1/tests run
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-keystoneauth1 3.10.0

=== requirements.txt ===
--- 
+++ 
@@ -16,3 +16,4 @@
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
+os-service-types>=1.2.0  # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generationg sphinx documentation
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD

# For autodoc builds
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
mock>=2.0.0 # BSD
betamax>=0.7.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
oauthlib>=0.6.2 # BSD

=== debian/changelog ===
python-keystoneauth1 (3.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 15:39:50 +0200

python-keystoneauth1 (3.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 21:24:01 +0200

python-keystoneauth1 (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:31 +0000

python-keystoneauth1 (3.4.0-1) experimental; urgency=medium

  * Points VCS URLs to https://salsa.debian.org/openstack-team/.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Build with openstack-pkg-tools (>= 64~) to handle stestr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 15:03:42 +0000

python-keystoneauth1 (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:26:19 +0000

python-keystoneauth1 (3.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased no-intersphinx-in-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 21:12:47 +0200

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 64~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-betamax,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-iso8601,
 python-lxml,
 python-mock,
 python-oauthlib,
 python-oauthlib (>= 0.6.2),
 python-os-service-types (>= 1.2.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-pep8,
 python-requests (>= 2.14.2),
 python-requests-kerberos,
 python-requests-kerberos (>= 0.8.0),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-testresources (>= 2.0.0),
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-betamax,
 python3-fixtures,
 python3-iso8601,
 python3-lxml,
 python3-mock,
 python3-oauthlib,
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-service-types (>= 1.2.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-pep8,
 python3-requests (>= 2.14.2),
 python3-requests-kerberos,
 python3-requests-kerberos (>= 0.8.0),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1
Architecture: all
Depends:
 python-iso8601,
 python-lxml,
 python-oauthlib,
 python-os-service-types (>= 1.2.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-keystoneauth1-doc,
 python-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 2.7
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 2.7 module.

Package: python-keystoneauth1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-os-service-types (>= 1.2.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,12 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) stestr --test-path ./keystoneauth1/tests run
+	pkgos-dh_auto_test
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-keystoneauth1 3.13.1

=== debian/changelog ===
python-keystoneauth1 (3.13.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:31:52 +0200

python-keystoneauth1 (3.13.1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 16:31:29 +0100

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-betamax,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-lxml,
 python3-mock,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-requests,
 python3-requests-kerberos,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-os-service-types,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos,
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
	dh_sphinxdoc
endif

## python-keystoneauth1 3.17.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 # For generationg sphinx documentation
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
 
 # For autodoc builds
 hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (3.17.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 23:33:46 +0000

python-keystoneauth1 (3.17.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:09:58 -0400

python-keystoneauth1 (3.15.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:30:57 -0400

python-keystoneauth1 (3.14.0-0ubuntu2) eoan; urgency=medium

  * d/rules: Add override_dh_auto_clean due to default attempting to use
    missing py2 dependency when backported to bionic.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jun 2019 10:37:02 -0400

python-keystoneauth1 (3.14.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 14:09:37 -0400

python-keystoneauth1 (3.13.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:28:30 -0400

python-keystoneauth1 (3.11.2-0ubuntu2) disco; urgency=medium

  * d/control: Drop python-sphinx in favor of python3-sphinx.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Feb 2019 09:06:00 -0500

python-keystoneauth1 (3.11.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:12:31 -0500

python-keystoneauth1 (3.11.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 14:32:49 -0500

python-keystoneauth1 (3.10.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jul 2018 09:54:23 -0400

python-keystoneauth1 (3.7.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 08:58:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-keystoneauth1
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -10,39 +11,43 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-betamax,
- python3-coverage,
- python3-fixtures,
- python3-hacking,
- python3-iso8601,
- python3-lxml,
- python3-mock,
- python3-oauthlib,
- python3-openstackdocstheme <!nodoc>,
- python3-os-service-types,
- python3-oslo.config,
- python3-oslo.utils,
- python3-oslotest,
+ python3-bandit (>= 1.1.0),
+ python3-betamax (>= 0.7.0),
+ python3-coverage (>= 4.0),
+ python3-flake8-docstrings (>= 0.2.1.post1),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 0.12.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-lxml (>= 3.4.1),
+ python3-mock (>= 2.0.0),
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-os-service-types (>= 1.2.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pep8,
- python3-requests,
- python3-requests-kerberos,
- python3-requests-mock,
- python3-six,
- python3-stestr,
- python3-stevedore,
+ python3-reno (>= 2.5.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-kerberos (>= 0.8.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-testresources,
- python3-testtools,
- python3-yaml,
+ python3-testresources (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-keystoneauth1-doc
 Build-Profiles: <!nodoc>
@@ -64,14 +69,14 @@
 Package: python3-keystoneauth1
 Architecture: all
 Depends:
- python3-iso8601,
+ python3-iso8601 (>= 0.1.11),
  python3-lxml,
  python3-oauthlib,
- python3-os-service-types,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-stevedore,
+ python3-os-service-types (>= 1.2.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
-override_dh_clean:
+override_dh_auto_clean:
 	rm -rf build
 
 override_dh_auto_build:

## python-keystoneauth1 3.18.0

=== debian/changelog ===
python-keystoneauth1 (3.18.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-intersphinx-in-doc.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 15:00:00 -0500

python-keystoneauth1 (3.17.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:34:39 +0200

python-keystoneauth1 (3.17.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fix dh_auto_clean.
  * Build first in debian/tmp to run tests correctly.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 11:05:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,31 +7,29 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
  python3-betamax (>= 0.7.0),
  python3-coverage (>= 4.0),
- python3-flake8-docstrings (>= 0.2.1.post1),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
  python3-lxml (>= 3.4.1),
  python3-mock (>= 2.0.0),
  python3-oauthlib (>= 0.6.2),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-openstackdocstheme <!nodoc>,
  python3-os-service-types (>= 1.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pep8,
- python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-kerberos (>= 0.8.0),
  python3-requests-mock (>= 1.2.0),
@@ -43,7 +41,7 @@
  python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
 Homepage: http://www.openstack.org/

## python-keystoneauth1 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # All additions to this file must have significant justification.
 
-# NOTE(morgan) At no time may any olso library be added to the keystoneauth
+# NOTE(morgan) At no time may any oslo library be added to the keystoneauth
 # requirements. The requirements for keystoneauth are very tightly controlled
 # to ensure we are not pulling in a ton of transient dependencies. This is
 # important from the standpoint of ensuring keystoneauth can be used outside

=== debian/changelog ===
python-keystoneauth1 (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:35:27 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-lxml (>= 3.4.1),
  python3-mock (>= 2.0.0),
  python3-oauthlib (>= 0.6.2),
- python3-openstackdocstheme <!nodoc>,
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
  python3-os-service-types (>= 1.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.utils (>= 3.33.0),

## python-keystoneauth1 4.2.1

=== debian/changelog ===
python-keystoneauth1 (4.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 23:19:09 +0200

python-keystoneauth1 (4.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 15:28:22 +0200

python-keystoneauth1 (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:42:42 +0200

python-keystoneauth1 (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 13:37:33 +0200

python-keystoneauth1 (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.apidoc as build-depends.
  * Removed Make_tests_pass_in_2020.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 18:52:06 +0200

python-keystoneauth1 (3.18.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Feb 2020 12:21:11 +0100

python-keystoneauth1 (3.17.1-3) unstable; urgency=medium

  * Add upstream Make_tests_pass_in_2020.patch fixing FTBFS (Closes: #950041).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Feb 2020 12:27:08 +0100

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-betamax,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-requests,
 python3-requests-kerberos,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-os-service-types,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos,
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/keystoneauth/tags .*/(\d[\d\.]+)\.tar\.gz

## python-keystoneauth1 4.3.1

=== debian/changelog ===
python-keystoneauth1 (4.3.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:10:35 +0000

python-keystoneauth1 (4.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 18 Mar 2021 10:07:50 +0000

python-keystoneauth1 (4.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 12:58:16 +0000

python-keystoneauth1 (4.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:38:51 +0000

python-keystoneauth1 (4.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 16:13:53 -0400

## python-keystoneauth1 4.4.0

=== debian/changelog ===
python-keystoneauth1 (4.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 12:34:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,51 @@
 Source: python-keystoneauth1
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
 Build-Depends-Indep:
- python3-betamax,
- python3-coverage,
- python3-fixtures,
- python3-hacking,
- python3-iso8601,
- python3-lxml,
- python3-oauthlib,
- python3-openstackdocstheme <!nodoc>,
- python3-os-service-types,
- python3-oslo.config,
- python3-oslo.utils,
- python3-oslotest,
+ python3-betamax (>= 0.7.0),
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-lxml (>= 4.2.0),
+ python3-mock (>= 2.0.0),
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
+ python3-os-service-types (>= 1.2.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pep8,
- python3-requests,
- python3-requests-kerberos,
- python3-requests-mock,
- python3-six,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
- python3-stevedore,
+ python3-requests (>= 2.14.2),
+ python3-requests-kerberos (>= 0.8.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-testresources,
- python3-testtools,
- python3-yaml,
+ python3-testresources (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
-Homepage: http://www.openstack.org/
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystoneauth1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystoneauth1
+Homepage: https://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-keystoneauth1-doc
 Build-Profiles: <!nodoc>
@@ -64,14 +67,14 @@
 Package: python3-keystoneauth1
 Architecture: all
 Depends:
- python3-iso8601,
+ python3-iso8601 (>= 0.1.11),
  python3-lxml,
  python3-oauthlib,
- python3-os-service-types,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-stevedore,
+ python3-os-service-types (>= 1.2.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=keystoneauth1
 
 UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build
@@ -12,10 +14,12 @@
 override_dh_auto_build:
 	echo "Do nothing..."
 
+override_dh_auto_test:
+	echo "Do nothing..."
+
 override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2 --in-tmp
 
-override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/keystoneauth/ keystoneauth1-(\d.*)\.tar\.gz

## python-keystoneauth1 4.5.0

=== debian/changelog ===
python-keystoneauth1 (4.5.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 11:19:32 +0000

python-keystoneauth1 (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:16:39 +0100

python-keystoneauth1 (4.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Mar 2022 17:28:04 +0100

python-keystoneauth1 (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:31:08 +0200

python-keystoneauth1 (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 16:14:26 +0200

python-keystoneauth1 (4.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:46:23 +0200

python-keystoneauth1 (4.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 10:14:10 +0100

## python-keystoneauth1 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generationg sphinx documentation
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# For autodoc builds
fixtures>=3.0.0 # Apache-2.0/BSD
betamax>=0.7.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
lxml>=4.2.0 # BSD
oauthlib>=0.6.2 # BSD

=== debian/changelog ===
python-keystoneauth1 (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 09:24:15 +0200

python-keystoneauth1 (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:41:08 +0200

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-betamax,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-requests,
 python3-requests-kerberos,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

Package: python3-keystoneauth1
Architecture: all
Depends:
 python3-iso8601,
 python3-lxml,
 python3-oauthlib,
 python3-os-service-types,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-keystoneauth1-doc,
 python3-requests-kerberos,
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=keystoneauth1
 
 UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-keystoneauth1 5.1.2

=== debian/changelog ===
python-keystoneauth1 (5.1.2-3) unstable; urgency=medium

  * Cleans better (Closes: #1048924).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:24:21 +0200

python-keystoneauth1 (5.1.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:41:14 +0200

python-keystoneauth1 (5.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 08:57:14 +0100

## python-keystoneauth1 5.3.0

=== debian/changelog ===
python-keystoneauth1 (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:43:57 +0200

python-keystoneauth1 (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six for (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:22:59 +0200
